/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/BC.H__   1.5   20 Jun 1996 09:29:54   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/BC.H__  $
** 
**    Rev 1.5   20 Jun 1996 09:29:54   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:32   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:36:36   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// bc.h
//
// Michael Long
//                                                                           
// 5/13/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _BC_
#define _BC_

class BCTool : public CToolOption
{      
// constructor/destructor
public:
    BCTool() { SetDefault(); }
    
// attributes
public:      
    int     m_nMemoryModel;
    int     m_nOptimize;
    CString m_strMore;
    BOOL    m_fStrInVariable;
    BOOL    m_fSChar;
    BOOL    m_fNoWarn;
    CString m_strPath;

    virtual LPCSTR GetToolName(void) const 
    {
        return "IAR ICC8051 Compiler";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);
    virtual CString GetOption(void) const;

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _BC_
